Subject: Re: linux-next: Tree for December 10 (x86 nmi_watchdog)

From: Don Zickus <[email-masked]>
Date: Mon, 13 Dec 2010 09:44:34 -0500

On Sun, Dec 12, 2010 at 11:27:02AM +0600, Rakib Mullick wrote:
> On Fri, Dec 10, 2010 at 11:25 PM, Randy Dunlap <[email-masked]> wrote:
> > On Fri, 10 Dec 2010 13:57:46 +1100 Stephen Rothwell wrote:
> >
> >> Hi all,
> >>
> >> Changes since 20101209:
> >
> >
> > arch/x86/kernel/apic/hw_nmi.c:28: error: redefinition of 'touch_nmi_watchdog'
> > include/linux/nmi.h:22: note: previous definition of 'touch_nmi_watchdog' was here

I'll have to checkout that branch to see what got merged.  I thought I
fixed all these.  Is there a config I can use to duplicate these?

> diff --git a/arch/x86/kernel/apic/hw_nmi.c b/arch/x86/kernel/apic/hw_nmi.c
> index c558e11..2056569 100644
> --- a/arch/x86/kernel/apic/hw_nmi.c
> +++ b/arch/x86/kernel/apic/hw_nmi.c
> @@ -24,7 +24,7 @@ u64 hw_nmi_get_sample_period(void)
>  }
>  #endif
> 
> -#ifndef CONFIG_HARDLOCKUP_DETECTOR
> +#ifdef CONFIG_HARDLOCKUP_DETECTOR
>  void touch_nmi_watchdog(void)
>  {
>  	touch_softlockup_watchdog();

NAK.  This isn't the right patch.  This chunk is in here because of
changes to nmi.h.  Something broke in that file.

Cheers,
Don